summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.travis.yml18
-rwxr-xr-x[-rw-r--r--]scripts/travis-common.sh0
-rwxr-xr-xscripts/travis-emcc.sh21
3 files changed, 39 insertions, 0 deletions
diff --git a/.travis.yml b/.travis.yml
index 73d1e6ed..1042b90c 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -42,6 +42,24 @@ matrix:
env: SANITIZER=ubsan
- os: osx
compiler: clang
+ # Build the .js outputs using emcc
+ - &test-emcc
+ stage: test
+ compiler: clang
+ python: 2.7
+ node_js: 7
+ language: node_js
+ node_js:
+ - node
+ sudo: required
+ services:
+ - docker
+ before_install:
+ - docker run -dit --name emscripten -v $(pwd):/src trzeci/emscripten:sdk-incoming-64bit bash
+ script:
+ # run binaryen.js and wasm.js tests before and after building, so we see if the bundled
+ # version is good too
+ - docker exec -it emscripten bash scripts/travis-emcc.sh
# Allow failures on the Mac bots. We'd rather not, but they are quite slow.
allow_failures:
diff --git a/scripts/travis-common.sh b/scripts/travis-common.sh
index 3f0f9baf..3f0f9baf 100644..100755
--- a/scripts/travis-common.sh
+++ b/scripts/travis-common.sh
diff --git a/scripts/travis-emcc.sh b/scripts/travis-emcc.sh
new file mode 100755
index 00000000..7287f870
--- /dev/null
+++ b/scripts/travis-emcc.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+#
+# Copyright 2016 WebAssembly Community Group participants
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -e
+emconfigure cmake .
+emmake make -j 2
+